MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025148Open CASCADE[OCCT] OCCT:Visualizationpublic2014-08-14 09:292018-05-07 12:40
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0025148: Visualization - drop TKNIS toolkit
DescriptionNIS package has been originally introduced as experimental alternative to AIS (Application Interactive Services). However in current state there are several issues with the package:
- TKOpenGl has been evolved to eliminate performance issues (VBO now used) and improve design (drawing from application using low-level OpenGL commands is now straight-forward - custom AIS Interactive Objects might implement own OpenGl_Element).
- NIS_Drawer extensively uses OpenGL display lists not only to achieve better performance, but also as the architectural basis. This functionality has been removed in modern OpenGL implementations.
- Introducing low-level OpenGL rendering, it lacks API to wrap alternative rendering paths.
- NIS_View inherits V3d_View, but their communication is not well designed (issues with fit/zfit, independent presentation structures and their lists).
- Feature incompleteness. TKNIS can not be considered as full alternative to AIS due to lacking functionality.
- Bloated viewer management code in TKViewerTest.
Steps To ReproduceN/A
Additional information
and documentation updates
Applications using NIS should be ported to AIS.
Alternatively, application might take TKNIS from previous OCCT release 6.8.0 as independent library based on OCCT (with required porting changes).
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0020053closedagv Introduction of NIS vizualization library 
parent of 0029739closedabv Draw Harness - vdonly does not hide displayed objects 
parent of 0029740verifiedbugmaster Draw Harness - eliminate redundant casts to AIS_InteractiveObject 
child of 0025146closedbugmaster Porting to Android 

-  Notes
(0031115)
git (administrator)
2014-08-27 09:13

Branch CR25148 has been created by kgv.

SHA-1: fdfddeeec1007443cf21e57e01f11e990012e0bb


Detailed log of new commits:

Author: kgv
Date: Wed Aug 27 09:12:35 2014 +0400

    0025148: Visualization - drop TKNIS toolkit
(0031121)
git (administrator)
2014-08-27 12:31

Branch CR25148 has been updated forcibly by kgv.

SHA-1: 421e12569dca75d91da17354ab0de11427982d9b
(0032280)
git (administrator)
2014-09-29 10:10
edited on: 2014-09-29 10:18



(0032282)
git (administrator)
2014-09-29 10:17

Branch CR25148_1 has been updated forcibly by kgv.

SHA-1: 773347098ce0d90a8df49b13dbef1bd210bf966a
(0032364)
git (administrator)
2014-09-29 23:25

Branch CR25148 has been deleted by kgv.

SHA-1: 421e12569dca75d91da17354ab0de11427982d9b
(0040863)
git (administrator)
2015-05-13 17:52

Branch CR25148_2 has been created by kgv.

SHA-1: abffdca73ed13cc9d86fc56f57041e4c061d576a


Detailed log of new commits:

Author: kgv
Date: Mon Sep 29 10:17:42 2014 +0300

    0025148: Visualization - drop TKNIS toolkit
(0040911)
git (administrator)
2015-05-14 15:51

Branch CR25148_2 has been updated forcibly by abv.

SHA-1: ea894de9a1a218d50bdafae3449355ccbbd9935b
(0040912)
abv (manager)
2015-05-14 15:53

Fix re-pushed to CR25148_2 (I have corrected compilation problems)
(0040913)
abv (manager)
2015-05-14 15:53

Please test and integrate
(0041191)
git (administrator)
2015-05-15 17:42

Branch CR25148_2 has been updated forcibly by apv.

SHA-1: 38822d0f998e36f6f32df778f213fc32e606ee12
(0041192)
apv (tester)
2015-05-15 17:43

Branch CR25148_2 has been rebased on the current master
(0041246)
apv (tester)
2015-05-18 17:01

Dear BugMaster,

Branch CR25148_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 38822d0f998e36f6f32df778f213fc32e606ee12

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 4 (4 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 95875076 / 100011040 [-4.14%]
Total CPU difference: 19759.190000001436 / 19309.560000000172 [+2.33%]

Testing on Windows:
Total MEMORY difference: 58864040 / 59314067 [-0.76%]
Total CPU difference: 17113.40330059887 / 17012.72025519895 [+0.59%]
(0043465)
git (administrator)
2015-07-27 13:29

Branch CR25148_1 has been deleted by kgv.

SHA-1: 773347098ce0d90a8df49b13dbef1bd210bf966a
(0043466)
git (administrator)
2015-07-27 13:29

Branch CR25148_2 has been deleted by kgv.

SHA-1: 38822d0f998e36f6f32df778f213fc32e606ee12

- Related Changesets
occt: master d09dda09
Timestamp: 2014-09-29 07:17:42
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025148: Visualization - drop TKNIS toolkit

TKNIS toolkit and related DRAW stuff removed
mod - adm/UDLIST Diff ] File ]
rm - src/NIS/EXTERNLIB Diff ] File ]
rm - src/NIS/FILES Diff ] File ]
rm - src/NIS/Handle_NIS_InteractiveObject.hxx Diff ] File ]
rm - src/NIS/Handle_NIS_View.hxx Diff ] File ]
rm - src/NIS/NIS.cdl Diff ] File ]
rm - src/NIS/NIS_Allocator.cxx Diff ] File ]
rm - src/NIS/NIS_Allocator.hxx Diff ] File ]
rm - src/NIS/NIS_CMPLRS.edl Diff ] File ]
rm - src/NIS/NIS_Drawer.cxx Diff ] File ]
rm - src/NIS/NIS_Drawer.hxx Diff ] File ]
rm - src/NIS/NIS_DrawList.cxx Diff ] File ]
rm - src/NIS/NIS_DrawList.hxx Diff ] File ]
rm - src/NIS/NIS_InteractiveContext.cxx Diff ] File ]
rm - src/NIS/NIS_InteractiveContext.hxx Diff ] File ]
rm - src/NIS/NIS_InteractiveObject.cxx Diff ] File ]
rm - src/NIS/NIS_InteractiveObject.hxx Diff ] File ]
rm - src/NIS/NIS_ObjectsIterator.cxx Diff ] File ]
rm - src/NIS/NIS_ObjectsIterator.hxx Diff ] File ]
rm - src/NIS/NIS_SelectFilter.cxx Diff ] File ]
rm - src/NIS/NIS_SelectFilter.hxx Diff ] File ]
rm - src/NIS/NIS_Surface.cxx Diff ] File ]
rm - src/NIS/NIS_Surface.hxx Diff ] File ]
rm - src/NIS/NIS_SurfaceDrawer.cxx Diff ] File ]
rm - src/NIS/NIS_SurfaceDrawer.hxx Diff ] File ]
rm - src/NIS/NIS_Triangulated.cxx Diff ] File ]
rm - src/NIS/NIS_Triangulated.hxx Diff ] File ]
rm - src/NIS/NIS_TriangulatedDrawer.cxx Diff ] File ]
rm - src/NIS/NIS_TriangulatedDrawer.hxx Diff ] File ]
rm - src/NIS/NIS_View.cxx Diff ] File ]
rm - src/NIS/NIS_View.hxx Diff ] File ]
mod - src/OS/Visualization.tcl Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/TKDCAF/EXTERNLIB Diff ] File ]
rm - src/TKNIS/EXTERNLIB Diff ] File ]
rm - src/TKNIS/FILES Diff ] File ]
rm - src/TKNIS/PACKAGES Diff ] File ]
mod - src/TKQADraw/EXTERNLIB Diff ] File ]
mod - src/TKViewerTest/EXTERNLIB Diff ] File ]
mod - src/TKXDEDRAW/EXTERNLIB Diff ] File ]
mod - src/TKXSDRAW/EXTERNLIB Diff ] File ]
mod - src/ViewerTest/ViewerTest.cdl Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_EventManager.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands_1.mm Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-14 09:29 kgv New Issue
2014-08-14 09:29 kgv Assigned To => san
2014-08-14 09:29 kgv Assigned To san => kgv
2014-08-14 09:30 kgv Relationship added child of 0025146
2014-08-14 09:36 kgv Additional Information Updated View Revisions
2014-08-14 09:36 kgv Relationship added related to 0020053
2014-08-27 09:13 git Note Added: 0031115
2014-08-27 12:31 git Note Added: 0031121
2014-09-29 10:10 git Note Added: 0032280
2014-09-29 10:17 git Note Added: 0032282
2014-09-29 10:18 kgv Note Edited: 0032280 View Revisions
2014-09-29 23:25 git Note Added: 0032364
2015-05-13 17:52 git Note Added: 0040863
2015-05-14 15:51 git Note Added: 0040911
2015-05-14 15:53 abv Note Added: 0040912
2015-05-14 15:53 abv Status new => resolved
2015-05-14 15:53 abv Steps to Reproduce Updated View Revisions
2015-05-14 15:53 abv Note Added: 0040913
2015-05-14 15:53 abv Assigned To kgv => bugmaster
2015-05-14 15:53 abv Status resolved => reviewed
2015-05-15 16:18 apv Assigned To bugmaster => apv
2015-05-15 17:42 git Note Added: 0041191
2015-05-15 17:43 apv Note Added: 0041192
2015-05-18 16:08 apv Test case number => Not needed
2015-05-18 17:01 apv Note Added: 0041246
2015-05-18 17:01 apv Assigned To apv => bugmaster
2015-05-18 17:01 apv Status reviewed => tested
2015-05-22 12:19 bugmaster Changeset attached => occt master d09dda09
2015-05-22 12:19 bugmaster Status tested => verified
2015-05-22 12:19 bugmaster Resolution open => fixed
2015-07-27 13:29 git Note Added: 0043465
2015-07-27 13:29 git Note Added: 0043466
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed
2018-05-07 11:46 kgv Relationship added parent of 0029739
2018-05-07 12:40 kgv Relationship added parent of 0029740


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker